com.opensymphony.xwork2.conversion.metadata

## Class ConversionDescription

- java.lang.Object
- - com.opensymphony.xwork2.conversion.metadata.ConversionDescription

- Deprecated.
  class will be removed

      @Deprecated
      public class ConversionDescription
      extends Object

  `ConversionDescription`
  Version:
    $Id$
  Author:
    Rainer Hermanns

- - ### Property Summary

    Properties
    Type | Property and Description
    --- | ---
    `String` | `as` Deprecated. Returns the conversion description as property entry.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEPRECATED_ELEMENT_PREFIX` Deprecated.
    `static String` | `ELEMENT_PREFIX` Deprecated.
    `String` | `fullQualifiedClassName` Deprecated.
    `static String` | `KEY_PREFIX` Deprecated.
    `static String` | `KEY_PROPERTY_PREFIX` Deprecated.
    `protected static org.apache.logging.log4j.Logger` | `log` Deprecated. Jakarta commons-logging reference.
    `String` | `property` Deprecated.
    `String` | `rule` Deprecated.
    `String` | `type` Deprecated.
    `String` | `typeConverter` Deprecated.
    `String` | `value` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConversionDescription()` Deprecated.
    `ConversionDescription(String property)` Deprecated. Creates an ConversionDescription with the specified property name.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `asProperty()` Deprecated. Returns the conversion description as property entry.
    `String` | `getFullQualifiedClassName()` Deprecated. Returns the fullQualifiedClassName attribute is used to create the special `conversion.properties` file name.
    `String` | `getType()` Deprecated.
    `String` | `getValue()` Deprecated.
    `void` | `setFullQualifiedClassName(String fullQualifiedClassName)` Deprecated. The fullQualifiedClassName attribute is used to create the special `conversion.properties` file name.
    `void` | `setProperty(String property)` Deprecated. Sets the property name to be inserted into the related conversion.properties file. Note: Do not add COLLECTION_PREFIX or MAP_PREFIX keys to property names.
    `void` | `setRule(String rule)` Deprecated.
    `void` | `setType(String type)` Deprecated.
    `void` | `setTypeConverter(String typeConverter)` Deprecated. Sets the class name of the type converter to be used.
    `void` | `setValue(String value)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Property Detail

    - #### as

      Returns the conversion description as property entry.

      Example:
      property.name = converter.className
      Collection_property.name = converter.className
      Map_property.name = converter.className KeyProperty_name = id

      Returns:
        the conversion description as property entry.

  - ### Field Detail

    - #### log

          protected static org.apache.logging.log4j.Logger log

      Deprecated.
      Jakarta commons-logging reference.

    - #### KEY_PREFIX

          public static final String KEY_PREFIX

      Deprecated.
      See Also:
        Constant Field Values

    - #### ELEMENT_PREFIX

          public static final String ELEMENT_PREFIX

      Deprecated.
      See Also:
        Constant Field Values

    - #### KEY_PROPERTY_PREFIX

          public static final String KEY_PROPERTY_PREFIX

      Deprecated.
      See Also:
        Constant Field Values

    - #### DEPRECATED_ELEMENT_PREFIX

          public static final String DEPRECATED_ELEMENT_PREFIX

      Deprecated.
      See Also:
        Constant Field Values

    - #### property

          public String property

      Deprecated.

    - #### typeConverter

          public String typeConverter

      Deprecated.

    - #### rule

          public String rule

      Deprecated.

    - #### value

          public String value

      Deprecated.

    - #### fullQualifiedClassName

          public String fullQualifiedClassName

      Deprecated.

    - #### type

          public String type

      Deprecated.

  - ### Constructor Detail

    - #### ConversionDescription

          public ConversionDescription()

      Deprecated.

    - #### ConversionDescription

          public ConversionDescription(String property)

      Deprecated.
      Creates an ConversionDescription with the specified property name.
      Parameters:
        `property` - property

  - ### Method Detail

    - #### setProperty

          public void setProperty(String property)

      Deprecated.

      Sets the property name to be inserted into the related conversion.properties file.
      Note: Do not add COLLECTION_PREFIX or MAP_PREFIX keys to property names.

      Parameters:
        `property` - The property to be converted.

    - #### setTypeConverter

          public void setTypeConverter(String typeConverter)

      Deprecated.
      Sets the class name of the type converter to be used.
      Parameters:
        `typeConverter` - The class name of the type converter.

    - #### setRule

          public void setRule(String rule)

      Deprecated.
      Parameters:
        `rule` - the rule prefix for COLLECTION_PREFIX or MAP_PREFIX key. Defaults to en empty String.

    - #### setType

          public void setType(String type)

      Deprecated.

    - #### getType

          public String getType()

      Deprecated.

    - #### getValue

          public String getValue()

      Deprecated.

    - #### setValue

          public void setValue(String value)

      Deprecated.

    - #### asProperty

          public String asProperty()

      Deprecated.
      Returns the conversion description as property entry.

      Example:
      property.name = converter.className
      Collection_property.name = converter.className
      Map_property.name = converter.className KeyProperty_name = id

      Returns:
        the conversion description as property entry.

    - #### getFullQualifiedClassName

          public String getFullQualifiedClassName()

      Deprecated.
      Returns the fullQualifiedClassName attribute is used to create the special `conversion.properties` file name.
      Returns:
        full qualified class name

    - #### setFullQualifiedClassName

          public void setFullQualifiedClassName(String fullQualifiedClassName)

      Deprecated.
      The fullQualifiedClassName attribute is used to create the special `conversion.properties` file name.
      Parameters:
        `fullQualifiedClassName` - a full qualified class name

Copyright © 2000–2020 Apache Software Foundation. All rights reserved.